package com.ruoyi.system.service.impl;

import java.util.List;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SchemeExplorationMapper;
import com.ruoyi.system.domain.SchemeExploration;
import com.ruoyi.system.service.ISchemeExplorationService;

/**
 * 勘探数据表 服务实现
 *
 * @author ruoyi
 */
@Service
public class SchemeExplorationServiceImpl implements ISchemeExplorationService
{
    @Autowired
    private SchemeExplorationMapper schemeExplorationMapper;

    /**
     * 查询勘探数据集合
     *
     * @param schemeExploration 勘探数据信息
     * @return 勘探数据集合
     */
    @Override
    public List<SchemeExploration> selectSchemeExplorationList(SchemeExploration schemeExploration)
    {
        return schemeExplorationMapper.selectSchemeExplorationList(schemeExploration);
    }

    /**
     * 分页查询勘探数据集合
     *
     * @param schemeExploration 勘探数据信息
     * @return 分页数据
     */
    @Override
    public TableDataInfo selectSchemeExplorationListByPage(SchemeExploration schemeExploration, Integer pageNum, Integer pageSize)
    {
        if (pageNum == null) pageNum = 1;
        if (pageSize == null) pageSize = 10;
        PageHelper.startPage(pageNum, pageSize);
        List<SchemeExploration> list = schemeExplorationMapper.selectSchemeExplorationList(schemeExploration);
        PageInfo<SchemeExploration> pageInfo = new PageInfo<>(list);
        return new TableDataInfo(list, pageInfo.getTotal());
    }

    /**
     * 根据ID查询勘探数据信息
     *
     * @param createBy 创建人ID
     * @return 勘探数据信息
     */
    @Override
    public SchemeExploration selectSchemeExplorationById(Long createBy)
    {
        return schemeExplorationMapper.selectSchemeExplorationById(createBy);
    }

    /**
     * 新增勘探数据信息
     *
     * @param schemeExploration 勘探数据信息
     * @return 结果
     */
    @Override
    public int insertSchemeExploration(SchemeExploration schemeExploration)
    {
        return schemeExplorationMapper.insertSchemeExploration(schemeExploration);
    }

    /**
     * 修改勘探数据信息
     *
     * @param schemeExploration 勘探数据信息
     * @return 结果
     */
    @Override
    public int updateSchemeExploration(SchemeExploration schemeExploration)
    {
        return schemeExplorationMapper.updateSchemeExploration(schemeExploration);
    }

    /**
     * 删除勘探数据信息
     *
     * @param id 主键ID
     * @return 结果
     */
    @Override
    public int deleteSchemeExplorationById(Long id)
    {
        return schemeExplorationMapper.deleteSchemeExplorationById(id);
    }

    /**
     * 批量删除勘探数据信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    @Override
    public int deleteSchemeExplorationByIds(Long[] ids)
    {
        return schemeExplorationMapper.deleteSchemeExplorationByIds(ids);
    }
}